-- Leave an airport and arrive at a zone
--
-- Spawn several aircraft at random airports and let them all travel to a fixed zone. 
-- 
-- # Test cases:
-- 
-- 1. Observe aircraft being spawned at random airports. They will all fly to the destination zone listed below.
-- 2. After the aircraft arrive at their destination they get despawned and then respawned at a random aiport with destination as specified below.

-- Create RAT object. The only required parameter is the name of the template group in the mission editor.
local SU33A=RAT:New("SU33A")

-- Create RAT object. The only required parameter is the name of the template group in the mission editor.
local SU33B=RAT:New("SU33B")

-- Create RAT object. The only required parameter is the name of the template group in the mission editor.
local SU33C=RAT:New("SU33C")


-- Set parameters
SU33A:SetDeparture({"Sochi-Adler", "Gudauta"})
SU33A:DestinationZone("Statics recovery configuration")
SU33A:SetROE("free")
SU33A:SetROT("evade")
SU33A:SetAISkill("Random")
SU33A:SetSpawnDelay(600)

-- Set parameters
SU33B:SetDeparture({"Sochi-Adler", "Gudauta"})
SU33B:DestinationZone("Statics recovery configuration")
SU33B:SetROE("free")
SU33B:SetROT("evade")
SU33B:SetAISkill("Random")
SU33B:SetSpawnDelay(700)

-- Set parameters
SU33C:SetDeparture({"Sochi-Adler", "Gudauta"})
SU33C:DestinationZone("Statics recovery configuration")
SU33C:SetROE("free")
SU33C:SetROT("evade")
SU33C:SetAISkill("Random")
SU33C:SetSpawnDelay(800)

-- Spawn one or more aircraft.
SU33A:Spawn(1)

-- Spawn one or more aircraft.
SU33B:Spawn(1)

-- Spawn one or more aircraft.
SU33C:Spawn(1)
